﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DataBinding_EntityDataSource._Default" %>

<%@ Register assembly="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" namespace="System.Web.UI.WebControls" tagprefix="asp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    	<asp:GridView ID="GridView1" runat="server" AllowPaging="True"
				AllowSorting="True" AutoGenerateColumns="False" BackColor="#DEBA84" 
				BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px" CellPadding="3" 
				CellSpacing="2" DataSourceID="EntityDataSource1" 
				onselectedindexchanged="GridView1_SelectedIndexChanged">
				<RowStyle BackColor="#FFF7E7" ForeColor="#8C4510" />
				<Columns>
					<asp:CommandField ShowSelectButton="True" />
					<asp:BoundField DataField="ProductID" HeaderText="ID" ReadOnly="True" 
						SortExpression="ProductID" />
					<asp:BoundField DataField="Code" HeaderText="Code" ReadOnly="True" 
						SortExpression="Code" />
					<asp:BoundField DataField="Name" HeaderText="Name" ReadOnly="True" 
						SortExpression="Name" />
				</Columns>
				<FooterStyle BackColor="#F7DFB5" ForeColor="#8C4510" />
				<PagerStyle ForeColor="#8C4510" HorizontalAlign="Center" />
				<SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="White" />
				<HeaderStyle BackColor="#A55129" Font-Bold="True" ForeColor="White" />
			</asp:GridView>
			<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
				BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" 
				CellPadding="2" DataKeyNames="ProductID" DataSourceID="EntityDataSource2" 
				ForeColor="Black" GridLines="None" onitemdeleted="DetailsView1_ItemDeleted" 
				oniteminserted="DetailsView1_ItemInserted" 
				onitemupdated="DetailsView1_ItemUpdated" >
				<FooterStyle BackColor="Tan" />
				<PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" 
					HorizontalAlign="Center" />
				<Fields>
					<asp:BoundField DataField="ProductID" HeaderText="ProductID" ReadOnly="True" 
						SortExpression="ProductID" />
					<asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
					<asp:BoundField DataField="Code" HeaderText="Code" SortExpression="Code" />
					<asp:BoundField DataField="CountryOfOrigin" HeaderText="CountryOfOrigin" 
						SortExpression="CountryOfOrigin" />
					<asp:CheckBoxField DataField="OnSale" HeaderText="OnSale" 
						SortExpression="OnSale" />
					<asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
						ShowInsertButton="True" />
				</Fields>
				<HeaderStyle BackColor="Tan" Font-Bold="True" />
				<EditRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
				<AlternatingRowStyle BackColor="PaleGoldenrod" />
			</asp:DetailsView>
			<asp:EntityDataSource OrderBy="it.Code" ID="EntityDataSource1" runat="server" 
				ConnectionString="name=CodeCampEntities" 
				DefaultContainerName="CodeCampEntities" EntitySetName="Product" 
				Select="it.[ProductID], it.[Name], it.[Code]">
			</asp:EntityDataSource>
			<asp:EntityDataSource ID="EntityDataSource2" runat="server" Where="it.ProductID=@ProductID"
				ConnectionString="name=CodeCampEntities" 
				DefaultContainerName="CodeCampEntities" EnableDelete="True" EnableInsert="True" 
				EnableUpdate="True" EntitySetName="Product" >
				<WhereParameters>
					<asp:ControlParameter Name="ProductID" ControlID="HiddenField1" PropertyName="Value" Type="Int32" />
				</WhereParameters>
			</asp:EntityDataSource>
			<asp:HiddenField ID="HiddenField1" runat="server" />    
    </div>
    </form>
</body>
</html>
